--
-- PedalSX
--
-- written by fruktor, visit: www.eifok-team.de
--

PedalSX = {};

PedalSX.modDir = g_currentModDirectory;

function PedalSX.prerequisitesPresent(specializations)
    return true; 
end;

function PedalSX:load(xmlFile)
	self.sj4 = {};
	self.sj4.node = Utils.indexToObject( self.components, getXMLString(xmlFile, "vehicle.PedalSX#node") );
	self.sj4.rotF = math.rad( getXMLFloat(xmlFile, "vehicle.PedalSX#rotFront") );
	self.sj4.rotB = math.rad( getXMLFloat(xmlFile, "vehicle.PedalSX#rotBack") );
	self.sj4.rotT = 0;
	self.sj4.rotC = 0;
end;

function PedalSX:delete()

end;

function PedalSX:readStream(streamId, connection)
end;

function PedalSX:writeStream(streamId, connection)
end;

function PedalSX:mouseEvent(posX, posY, isDown, isUp, button)
end;

function PedalSX:keyEvent(unicode, sym, modifier, isDown)
end;

function PedalSX:update(dt)

	if self:getIsActive() then
		if self.isClient then
			
			local axisSide = 0;
			axisSide = InputBinding.getDigitalInputAxis(InputBinding.AXIS_MOVE_SIDE_VEHICLE);
			if InputBinding.isAxisZero(axisSide) then
				axisSide = InputBinding.getAnalogInputAxis(InputBinding.AXIS_MOVE_SIDE_VEHICLE)
			end;
			--print("axisSide="..axisSide);
			if axisSide < 0 then
				self.sj4.rotT = -self.sj4.rotF*axisSide;
			elseif axisSide > 0 then
				self.sj4.rotT = self.sj4.rotB*axisSide;
			else
				self.sj4.rotT = 0;
			end
			
			if self.ESLimiter ~= nil and self.lastLevel ~= 0 and self:getIsActiveForInput(false) and not self:hasInputConflictWithSelection() then
				local percentage = self.ESLimiter.percentage;
				if InputBinding.isPressed(InputBinding.ESLimiter_PLUS) and percentage[self.lastLevel] < 100 then					
					self.sj4.rotT = self.sj4.rotF/2;
				elseif InputBinding.isPressed(InputBinding.ESLimiter_MINUS) and percentage[self.lastLevel] > 10 then
					self.sj4.rotT = self.sj4.rotB/2;
				end;
			end;			
			
			if self.sj4.rotC < self.sj4.rotT then
				self.sj4.rotC = self.sj4.rotC + dt/1000;
				if self.sj4.rotC > self.sj4.rotT then
					self.sj4.rotC = self.sj4.rotT;
				end;
			elseif self.sj4.rotC > self.sj4.rotT then
				self.sj4.rotC = self.sj4.rotC - dt/1000;
				if self.sj4.rotC < self.sj4.rotT then
					self.sj4.rotC = self.sj4.rotT;
				end;
			end;
			
			setRotation( self.sj4.node, self.sj4.rotC, 0, 0 );
			
		end;
	end;

	--print("axisSide="..tostring(axisSide).." self.movingDirection="..tostring(self.movingDirection).." "..tostring(self.lastSpeed).."   self.lastSpeedReal="..tostring(self.lastSpeedReal));

	if self.motor.PedalSXl ~= 0 then
	end;
	
end;

function PedalSX:updateTick(dt)

end;

function PedalSX:onLeave()
end;

function PedalSX:draw()
end;





--
--
--
--
--
